#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    ll n, p, x; cin >> n >> p >> x;
    vector<ll>niz(n);
    ll c = 1, a = 0;
    
    for (int i = 0; i < n; i++){
        cin >> niz[i];
    }
    
    for (int i = 0; i < n - p + 1; i++){
        c = 1;
        a = 0;
        for (int j = i; j < i+p; j++){
            a += c*niz[j];
            if (niz[j] < 0){
                c++;
            }
        }
        cout << a << ' ';
    }
    
    
    return 0;
}